
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>php获取某个目录大小 / iVAN</title>

    <meta name="description" content="php获取某个目录大小   大致就是不知道目录下面又多少层目录, 也不知道又多少文件, 需要统计占用空间大小, 这个可以用在 相册/数据库占用/网络U盘 等程序中. 大致程序思想就是使用递规来计算目录占用空间多少, 然后再把这个占用空间的值写进文本文件里, 那么只要访问这个txt文件就知道占用了多少空间, 不用频繁获取而读磁盘, 节省资源. 每次用户如果上传的文件或者删除了文件, 那么又重新进行统计. 当然, 也可以把统计结果保存到数据库里. &lt;?/** * File: fetch user directory  ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">php获取某个目录大小</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> </p>
<p>大致就是不知道目录下面又多少层目录, 也不知道又多少文件, 需要统计占用空间大小, 这个可以用在 相册/数据库占用/网络U盘 等程序中.</p>
<p>大致程序思想就是使用递规来计算目录占用空间多少, 然后再把这个占用空间的值写进文本文件里, 那么只要访问这个txt文件就知道占用了多少空间, 不用频繁获取而读磁盘, 节省资源. 每次用户如果上传的文件或者删除了文件, 那么又重新进行统计. 当然, 也可以把统计结果保存到数据库里.</p>
<p>&lt;?<br />/**<br /> * File: fetch user directory use size<br /> * Author: heiyeluren &lt;heiyeluren_AT_gmail_com&gt;<br /> * Create: 2005-9-19 16:20<br /> * Modifed: 2005-9-19 16:41<br /> */</p>
<p>/*** 基本函数 ***/</p>
<p>//计算目录大小<br />function countDirSize($dir)<br />{<br /> $handle = opendir($dir);<br /> while (false!==($FolderOrFile = readdir($handle)))<br /> {<br />  if($FolderOrFile != "." &amp;&amp; $FolderOrFile != "..") <br />  {  <br />   if(is_dir("$dir/$FolderOrFile")) { <br />    $sizeResult += getDirSize("$dir/$FolderOrFile"); <br />   } else { <br />    $sizeResult += filesize("$dir/$FolderOrFile"); <br />   }<br />  }  <br /> }<br /> closedir($handle);<br /> return $sizeResult;<br />}</p>
<p>//保存用户文件大小<br />function saveDirSize($userDir)<br />{<br />  $userDirSize = countDirSize($userDir);<br />  if (!$fp = fopen($userDir."/dir_size.txt", "w+")) {<br />    die("Open file failed");<br />  } else {<br />   fwrite($fp, $dirSize);<br />  }  <br />}</p>
<p>//获取用户目录的大小<br />function getDirSize($userDir)<br />{<br /> $user = addslashes($userDir);<br /> $sizeFile = $userDir."/dir_size.txt";<br /> if (!$fp = fopen($sizeFile, "r") {<br />  return 0;<br /> } else {<br />  $dirSize = fread($fp, filesize($sizeFile));<br /> }<br /> return $dirSize;<br />}</p>
<p>/*** 调用实例 ***/<br />$user = "heiyeluren";<br />$userPath = "./user/".$user;</p>
<p>//如果用户执行了删除或者上传文件的操作就重新获取目录大小<br />if ($action == "upload" || $action == "delete") {<br /> saveDirSize($userPath);<br />}</p>
<p>$userDirSize = getDirSize($userPath)/1024;<br />echo "用户: ".$user;<br />echo "占用空间: ".$userDirSize;</p>
<p>?&gt;</p>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-21 04:40:02</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e7%9b%ae%e5%bd%95/" title="目录">目录</a>, <a href="https://www.iamivan.net/tag/%e5%a4%a7%e5%b0%8f/" title="大小">大小</a>, <a href="https://www.iamivan.net/tag/%e7%a9%ba%e9%97%b4/" title="空间">空间</a>, <a href="https://www.iamivan.net/tag/%e7%bb%9f%e8%ae%a1/" title="统计">统计</a>, <a href="https://www.iamivan.net/tag/php%e7%bb%9f%e8%ae%a1%e6%96%87%e4%bb%b6%e5%a4%a7%e5%b0%8f/" title="php统计文件大小">php统计文件大小</a>, <a href="https://www.iamivan.net/tag/%e7%bb%9f%e8%ae%a1%e6%96%87%e4%bb%b6%e5%a4%a7%e5%b0%8f/" title="统计文件大小">统计文件大小</a>, <a href="https://www.iamivan.net/tag/%e7%bb%9f%e8%ae%a1%e7%9b%ae%e5%bd%95%e5%a4%a7%e5%b0%8f/" title="统计目录大小">统计目录大小</a>, <a href="https://www.iamivan.net/tag/php%e7%9b%ae%e5%bd%95%e5%a4%a7%e5%b0%8f/" title="PHP目录大小">PHP目录大小</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>php获取某个目录大小的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6GAONp.html" rel="bookmark">php获取某个目录大小的代码&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大致程序思想就是使用递规来计算目录占用空间多少, 然后再把这个占用空间的值写进文本文件里, 那么只要访问这个txt文件就知道占用了多少空间, 不用频繁获取而读磁盘, 节省资源. 每次用户如果上传的文件或者删除了文件, 那么又重新进行统计. 当然, 也可以把统计结果保存到数据库里. 复制代码 代码如下: function countDirSize($dir) { $handle = opendir($dir); while (false!==($FolderOrFile = readdir($ha			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zG1o2M.html" rel="bookmark">php获取目录大小的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大致就是不知道目录下面又多少层目录, 也不知道又多少文件, 需要统计占用空间大小, 这个可以用在 相册/数据库占用/网络U盘 等程序中. 大致程序思想就是使用递规来计算目录占用空间多少, 然后再把这个占用空间的值写进文本文件里, 那么只要访问这个txt文件就知道占用了多少空间, 不用频繁获取而读磁盘, 节省资源. 每次用户如果上传的文件或者删除了文件, 那么又重新进行统计. 当然, 也可以把统计结果保存到数据库里. &lt;? /** * File: fetch user directory use			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zenegVb.html" rel="bookmark">java下获取目录大小有误差</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 NewClass3.javapublicstaticvoidmain(String[]args)throwsFileNotFoundException,IOException{Filefile=newFile(&quot;/home/user1&quot;);NewClass3obj=newNewClass3();longspace=obj.getDirSpace(file);System.out.println(space);}publiclonggetDirSpace(Filemydir){			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1Mva51b.html" rel="bookmark">获取文件夹大小&lpar;PHP函数&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				函数 &lt;?php     // 获取文件夹大小    function getDirSize($dir)    {         $handle = opendir($dir);        while (false!==($FolderOrFile = readdir($handle)))        {             if($FolderOrFile != &quot;.&quot; &amp;&amp; $FolderOrFile != &quot;..&quot;)     			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGjY02p.html" rel="bookmark">PHP获取文件夹大小函数用法实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  本文实例讲述了PHP获取文件夹大小函数用法.分享给大家供大家参考.具体如下: ? // 获取文件夹大小 function getDirSize($dir) { $handle = opendir($dir); while (false!==($FolderOrFile = readdir($handle))) { if($FolderOrFile != &quot;.&quot; &amp;&amp; $FolderOrFile != &quot;..&quot;) { if(is_dir(&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB2QdJb.html" rel="bookmark">C&num; 如何获取指定目录包含的文件和子目录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 如何获取指定目录包含的文件和子目录 1. DirectoryInfo.GetFiles():获取目录中(不包含子目录)的文件,返回类型为FileInfo[],支持通配符查找: 2. DirectoryInfo.GetDirectories():获取目录(不包含子目录)的子目录,返回类型为DirectoryInfo[],支持通配符查找: 3. DirectoryInfo. GetFileSystemInfos():获取指定目录下(不包含子目录)的文件和子目录,返回类型为FileSystemInf			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRwkYkp.html" rel="bookmark">PHP统计目录中文件以及目录中目录大小的方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了PHP统计目录中文件以及目录中目录大小的方法.分享给大家供大家参考,具体如下: &lt;?php //循环遍历目录中所有的文件,并统计目录和文件的大小 $dirName=&quot;phpMyAdmin&quot;; $dir=opendir($dirName); //返回一个资源类型 while($fileName=readdir($dir)){ $file=$dirName.&quot;/&quot;.$fileName; if($fileName!=&quot;.&quot; &amp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvGV85p.html" rel="bookmark">PHP获取文件夹大小函数用法实例&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了PHP获取文件夹大小函数用法.分享给大家供大家参考.具体如下: &lt;?php // 获取文件夹大小 function getDirSize($dir) { $handle = opendir($dir); while (false!==($FolderOrFile = readdir($handle))) { if($FolderOrFile != &quot;.&quot; &amp;&amp; $FolderOrFile != &quot;..&quot;) { if(is_dir(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba6gJwM.html" rel="bookmark">Android获取应用程序大小和缓存的实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				info package com.qin.appsize; import android.content.Intent; import android.graphics.drawable.Drawable; //Model类 ,用来存储应用程序信息 public class AppInfo { private String appLabel; //应用程序标签 private Drawable appIcon ; //应用程序图像 private Intent intent ; //启动应用程序			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnmkMG.html" rel="bookmark" class="title">笔记本xp系统无法安装&period;Net怎么办？</a>
					<div>
						  笔记本XP系统无法安装.NET的解决方法: 1.鼠标点击xp系统&quot;开始&quot;菜单,选择&quot;运行&quot;选项,在打开的对话框中输入cmd,按确定键; 2.在打开的窗口中输 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGA6eM.html" rel="bookmark" class="title">360安全浏览器-热键网址和网址别名</a>
					<div>
						  热键网址: 简单理解就是可以快捷访问的网址.您可以通过按下快捷键(F1-F12)来访问您自行设置的快捷网址. 例如:您可以自定义F1键到se.360.cn,以后任何时候按下F1则可以快速访问se. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpmm23p.html" rel="bookmark" class="title">中文网页制作中段落缩进的方法</a>
					<div>
						网页|中文 在制作有关文档资料内容的网页时,如果是英文书写格式,段落一般不缩进:如果是中文格式则需要缩进,即段落开头要求空两个汉字的位置. 在实际制作中,有以下四种段落缩进方法,现介绍如下: 1.预格 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWD47p.html" rel="bookmark" class="title">登录口令加密函数、用户登录主Form实现方法和具体代码</a>
					<div>
						函数|加密 create函数PWD: create FUNCTION PWD(sdpassword varchar2) RETURN varchar2 IS    len   number;    s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXgDQM.html" rel="bookmark" class="title">网页中图片的随机显示</a>
					<div>
						随机|网页|显示 图片随机显示是一个应用非常广泛的技巧.比如随机banner的显示,当你进入一个网站时它的banner总是不同的,或者总有内容不同的提示(tips),大家在网上浏览时会经常发现这样的例 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWoZmM.html" rel="bookmark" class="title">学习JFreeChart（一）</a>
					<div>
						chart    最近由于项目需要,开始学习JFreeChart和iText,在网上找了一下相关的资料不是很多,特别是JFreeChart在官方文档上没有像iText那样详尽的说明及例子,而且官方的d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWY6Xz.html" rel="bookmark" class="title">网络寻呼机数据库版删除选中的消息deletemessage&period;asp</a>
					<div>
						数据|数据库|网络|选中 &lt;% response.buffer=true %&gt;&lt;html&gt; &lt;head&gt; &lt;meta http-equiv=&quot;Con ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPKKKz.html" rel="bookmark" class="title">SQL Server 2000中生成XML的小技巧</a>
					<div>
						本文介绍一个SQL Server 2000中生成XML的小技巧. 以前在介绍SQL2k的时候已经提到了SQL2k对XML的支持,使用for XML语句就可以很容易的把执行的结果转化为一个XML,这样可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1JAmz.html" rel="bookmark" class="title">泛型相关知识</a>
					<div>
						自从上次参加完俱乐部的聚会后,觉的有必要总结下泛型的用法,虽然脑袋讲的 非常仔细,没有必要再写,但做为学习者,我喜欢把自己的所学以文章的形式展示出 来,这样也有我的一部分.我们可以用一个简单的例子来做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx5D2b.html" rel="bookmark" class="title">自定义项目符号</a>
					<div>
						添加项目符号后,如果对其格式不满意,可以进行自定义修改.方法为:先选定这些要重新设置的段落(当然,也可以直接对未设置项目符号的段落进行如下操作),再执行&quot;格式&quot;→&quot;项目符 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWX12jp.html" rel="bookmark" class="title">固定格式的文本如何转换为Excel表格？</a>
					<div>
						  比如,有一个文本文件,它的名字是&quot;通讯录.txt&quot;,它里面有标题行和内容行,每一行都由一个&quot;竖线&quot;字符(也就是英文字符&quot;|&quot;)分隔.整个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXX67p.html" rel="bookmark" class="title">如何开启Win8管理员帐户</a>
					<div>
						  首先使用&quot;Windows键+X&quot;的组合键打开系统菜单,选择&quot;计算机管理&quot;,然后按顺序进入&quot;系统工具-本地用户和组-用户&quot;. 打开用户组  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWX7GXp.html" rel="bookmark" class="title">使用Photoshop制作栅栏卡片动画</a>
					<div>
						  什么是&quot;栅栏卡片动画&quot;,顾名思义,就是配合&quot;栅栏卡片&quot;和&quot;图卡&quot;可以表现简单的动画的一种动画形式,就像上图一样,其实这种小玩意在很多小地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3o9Qmb.html" rel="bookmark" class="title">解决windows7安装CAD出现错误1606技巧</a>
					<div>
						  1.首先在桌面的空白处鼠标右击选择&quot;新建--文本文档&quot;选项; 2.然后将以下内容复制到记事本里面, Windows Registry Editor Version 5.00 [ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8G28p.html" rel="bookmark" class="title">电脑截屏怎么截&quest;</a>
					<div>
						  在我们日常使用电脑不管是工作还是娱乐都经常会使用到截图功能,那么电脑截屏怎么截?这里介绍几种常见而又简便的截屏方法,希望能对大家有所帮助! 一.qq的截屏功能 想必QQ的截屏功能大家都不陌生.在Q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5olyab.html" rel="bookmark" class="title">rlwrap安装Invalid configuration &grave;x86&lowbar;64-unknown-linux-&amp;amp&semi;&num;39&semi;&colon;问题解决</a>
					<div>
						rlwrap安装Invalid configuration `x86_64-unknown-linux-':问题解决 今天在安装rlwrap的过程中出现如下报错,具体信息如下: 1 2 checkin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNELmz.html" rel="bookmark" class="title">大数据导论之为何需要引入大数据</a>
					<div>
						一.引言 最近各种客户咨询项目中,往往涉及大数据引入必要性和价值意义的深层次挖掘,客户有数据,有平台,但是不知到底要不要上大数据,为何要上大数据和大数据可以带来哪些价值和意义.本文关于大数据的必要性进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrOJwM.html" rel="bookmark" class="title">jqchart-jqChart 缩放功能失效 两个x轴</a>
					<div>
						问题描述 jqChart 缩放功能失效 两个x轴 这个玩意儿有人用吗?我想实现x轴自由缩放.加载了rangSlider之后,有两个x轴,没起到缩放功能.是我数据的问题吗?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7vQjz.html" rel="bookmark" class="title">textaera-关于javascript换行符的问题</a>
					<div>
						问题描述 关于javascript换行符的问题 有谁知道,在javascript下textarea中输入中文字符,当行首字符是标点符号时,会把上行尾字符拉下来显示在行首,我需要行首不要把行尾字符拉下来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmZYLz.html" rel="bookmark" class="title">如何在Admin5投稿的一些方法和经验</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 Admin5站长网是国内比较大的站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwW45Ez.html" rel="bookmark" class="title">Android用户界面设计：线性&ZeroWidthSpace;&ZeroWidthSpace;布局</a>
					<div>
						理解布局对于良好的Android程序设计来说很重要.在这个教程中,你将学习到所有关于线性布局的东西,它在屏幕上垂直地或水平地组织用户界面控件或者小工具.使用得当,线性布局可以作为基本的布局,基于这个布 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqZJAz.html" rel="bookmark" class="title">win7-nginx &plus; ftp 实现浏览器访问图片</a>
					<div>
						问题描述 nginx + ftp 实现浏览器访问图片 尽量简单点,win7下通过url能单独的访问到图片就行了! 求conf配置代码!! 解决方案 解决方案二: http://www.ithao123 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXrk4z.html" rel="bookmark" class="title">java韩顺平坦克大战显示炸弹效果的life值的问题</a>
					<div>
						问题描述 java韩顺平坦克大战显示炸弹效果的life值的问题 //画出炸弹 for (int i=0; i&lt;bombs.size(); i++) { System.out.println(&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqvqlz.html" rel="bookmark" class="title">如何应对网站访问量激增</a>
					<div>
						对于新兴的创业网站来说,网站的访问量直接决定着网站的兴衰荣辱.那么,该如何应对突然激增的网站访问量呢. Q:我如何才能应对网站突然激增的访问流量? A:首先,我要恭喜你,这可以说是一个幸福的烦恼.很可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeygkM.html" rel="bookmark" class="title">从假装在QQ，到真在360</a>
					<div>
						磕磕碰碰,从大三第二学期开始找实习到现在签下360,已时过半年.改版过的十几份简历,多少可以铭记这段岁月的点滴痕迹.我从不敢说自己是大神,但一直在假装.如今,尘埃落定,我想把自己的的点滴心得写出来,与 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12Gvap.html" rel="bookmark" class="title">让中国的互联网回归商业性</a>
					<div>
						中介交易 SEO诊断淘宝客 站长团购 云主机 技术大厅 内容摘要」&quot;现在互联网的一些做法可能扭曲互联网的价值,中国互联网的娱乐性太重了.&quot; 价值中国网:请您谈谈目前搜索引擎的现状和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8DAkb.html" rel="bookmark" class="title">javascript获取文档坐标和视口坐标&lowbar;javascript技巧</a>
					<div>
						元素的位置是以像素度量的,向右代表X坐标的增加,向下代表Y坐标的增加,但是,有两个不同的点作为坐标系的原点:元素的X和Y坐标可以相对于文档的左上角或者相对于在职中显示文档的视口的左上角. 在定级窗口和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkK53z.html" rel="bookmark" class="title">机架服务器 远程电源管理 备忘</a>
					<div>
						IBM,DELL 常用 BMC 进行远程管理,利用 ipmi 管理工具进行控制, 常见控制方式:   查询电源状态   软重启   硬重启   正常关机   强制管理   设定技巧:    在启动过程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDXR2Bz.html" rel="bookmark" class="title">大数据时代的产业变局</a>
					<div>
						2007年,苹果推出手机时,诺基亚和摩托罗拉还把持着70%的市场份额.10年后,全球手机超过90%的利润在苹果手中,而诺基亚和摩托罗拉已经悄无踪影.苹果开创的智能手机时代和亚马逊开创的云计算时代,将世 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk78oEp.html" rel="bookmark" class="title">美一新闻聚合网站推荐流量仅次谷歌：久未改版</a>
					<div>
						对于多数大型新闻网站而言,60%的流量为内生流量,也就是那些直接输入网址,或是通过收藏夹访问该网站的流量.除此之外,还有40%的流量来自其他渠道的推荐,而谷歌等搜索引擎在其中扮演了重要角色.根据美国智 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.021 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
